Loading...
Searching...
No Matches
casacore::LogiArray_global_functions_LogicalArray Struct Reference
casa package (libcasa_casa) » Arrays_module

More...

`#include <LogiArray.h>`

## Detailed Description

Logical valued Arrays.

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Prerequisite

- Array

### Etymology

LogicalArray declares logical valued Arrays.

### Synopsis

This file contains the declarations for LogicalArrays.

### Motivation

One needs to have logical valued Arrays. They are the result of logical operations on Arrays. They can also be created in other ways. They are used as masks for MaskedArrays.

Array<bool> would have served the purpose. However, it is very space inefficient. Instead, the concept has been abstracted. Currently, the implementation of LogicalArray is Array<LogicalArrayElem>, done with typedefs. The type of LogicalArrayElem can be changed at any time. Later, if desired, LogicalArray can be made to be a true class, without requiring more than a recompile of code which uses it.

### To Do

- Consider making these into classes.
- Consider replacing with builtin boolean class when that makes it into the C++ compiler.

Definition at line 74 of file LogiArray.h.

The documentation for this struct was generated from the following file:

- casa/Arrays/LogiArray.h